-----------------------------------------------------------------
-------------
--                         Copyright (C) 2006-200?
--                     Universidad de Cantabria, SPAIN
--                        http://www.ctr.unican.es/

--  PolyORB and RTEP Configuration

--  ORB Policy
with PolyORB.ORB.Thread_Per_Target;
pragma Warnings (Off, PolyORB.ORB.Thread_Per_Target);
pragma Elaborate_All (PolyORB.ORB.Thread_Per_Target);

--  ORB Control Policy
with PolyORB.ORB_Controller.Ready_To_Go;
pragma Warnings (Off, PolyORB.ORB_Controller.Ready_To_Go);
pragma Elaborate_All (PolyORB.ORB_Controller.Ready_To_Go);

-- Full tasking profile with dynamic priorities
with PolyORB.Setup.Tasking.Full_Tasking;
pragma Elaborate_All (PolyORB.Setup.Tasking.Full_Tasking);

--  RTCORBA
with PolyORB.Request_Scheduler.Servant_Lane;
pragma Warnings (Off, PolyORB.Request_Scheduler.Servant_Lane);
pragma Elaborate_All (PolyORB.Request_Scheduler.Servant_Lane);

with PolyORB.GIOP_P.Tagged_Components.Policies.Priority_Model_Policy;
pragma Warnings
  (Off,
   PolyORB.GIOP_P.Tagged_Components.Policies.Priority_Model_Policy);

with PolyORB.Setup.OA.Basic_RT_POA;
pragma Warnings (Off, PolyORB.Setup.OA.Basic_RT_POA);
pragma Elaborate_All (PolyORB.Setup.OA.Basic_RT_POA);

--  Personalities setup

--  GIOP + RTEP
with PolyORB.Setup.RTEP_MAC;
pragma Elaborate_All (PolyORB.Setup.RTEP_MAC);
pragma Warnings (Off, PolyORB.Setup.RTEP_MAC);

--  RATO-RTEP
with PolyORB.Setup.Access_Points.RATO_RTEP_MAC;
pragma Elaborate_All (PolyORB.Setup.Access_Points.RATO_RTEP_MAC);
pragma Warnings (Off, PolyORB.Setup.Access_Points.RATO_RTEP_MAC);

--  System Configuration
with Configuration_File;

package body Server_Configuration is

begin
   --  Check no threads are internally created by PolyORB
   Configuration_File.Num_Threads_In_Pool := 0;

   --  Naming service (not used for now)
   Configuration_File.Naming_Service_IOR :=
      new String'("IOR:010101002b00000049444c3a6" & 
"f6d672e6f72672f436f734e616d696e672f4e616d696e67436f6e746578744578743a312e300"
                  & 
"00001000000000400005c0000000101020002000200270000004e616d65536572766963652f3"
                  & 
"030303030303032346646303030303030303038303030303030300001000000010000001c000"
                  & 
"00001000000010001000000000000010100020000000101010002010100");
end Server_Configuration;
