-----------------------------------------------------------------
-------------
--                         Copyright (C) 2006-200?
--                     Universidad de Cantabria, SPAIN
--                        http://www.ctr.unican.es/

--  PolyORB and RTEP Configuration

--  ORB Policy: Policies availables
with PolyORB.ORB.Thread_Pool;
pragma Elaborate_All (PolyORB.ORB.Thread_Pool);
pragma Warnings (On, PolyORB.ORB.Thread_Pool);

--  with PolyORB.ORB.No_Tasking;
--  pragma Warnings (Off, PolyORB.ORB.No_Tasking);
--  pragma Elaborate_All (PolyORB.ORB.No_Tasking);

--  with PolyORB.ORB.Thread_Per_Session;
--  pragma Warnings (Off, PolyORB.ORB.Thread_Per_Session);
--  pragma Elaborate_All (PolyORB.ORB.Thread_Per_Session);

--  with PolyORB.ORB.Thread_Per_Request;
--  pragma Warnings (Off, PolyORB.ORB.Thread_Per_Request);
--  pragma Elaborate_All (PolyORB.ORB.Thread_Per_Request);

--  ORB Control Policy: Policies availables
with PolyORB.ORB_Controller.Leader_Followers;
pragma Warnings (On, PolyORB.ORB_Controller.Leader_Followers);
pragma Elaborate_All (PolyORB.ORB_Controller.Leader_Followers);

--  with PolyORB.ORB_Controller.No_Tasking;
--  pragma Warnings (Off, PolyORB.ORB_Controller.No_Tasking);
--  pragma Elaborate_All (PolyORB.ORB_Controller.No_Tasking);

--  with PolyORB.ORB_Controller.Workers;
--  pragma Warnings (Off, PolyORB.ORB_Controller.Workers);
--  pragma Elaborate_All (PolyORB.ORB_Controller.Workers);

--  with PolyORB.ORB_Controller.Half_Sync_Half_Async;
--  pragma Warnings (Off, PolyORB.ORB_Controller.Half_Sync_Half_Async);
--  pragma Elaborate_All (PolyORB.ORB_Controller.Half_Sync_Half_Async);

-- Full tasking profile with dynamic priorities
with PolyORB.Setup.Tasking.Full_Tasking;
pragma Elaborate_All (PolyORB.Setup.Tasking.Full_Tasking);

--  RTCORBA
with PolyORB.Request_Scheduler.Servant_Lane;
pragma Warnings (Off, PolyORB.Request_Scheduler.Servant_Lane);
pragma Elaborate_All (PolyORB.Request_Scheduler.Servant_Lane);

with PolyORB.GIOP_P.Tagged_Components.Policies.Priority_Model_Policy;
pragma Warnings
  (Off,
   PolyORB.GIOP_P.Tagged_Components.Policies.Priority_Model_Policy);
pragma Elaborate_All
  (PolyORB.GIOP_P.Tagged_Components.Policies.Priority_Model_Policy);

with PolyORB.QoS.Priority;
pragma Warnings (Off, PolyORB.QoS.Priority);
pragma Elaborate_All (PolyORB.QoS.Priority);

with PolyORB.Setup.OA.Basic_RT_POA;
pragma Warnings (Off, PolyORB.Setup.OA.Basic_RT_POA);
pragma Elaborate_All (PolyORB.Setup.OA.Basic_RT_POA);

--  Personalities setup

-- GIOP --
with PolyORB.Setup.RTEP_MAC;
pragma Elaborate_All (PolyORB.Setup.RTEP_MAC);
pragma Warnings (Off, PolyORB.Setup.RTEP_MAC);

--  RTC-RTEP
with PolyORB.Setup.Access_Points.RTC_RTEP_MAC;
pragma Elaborate_All (PolyORB.Setup.Access_Points.RTC_RTEP_MAC);
pragma Warnings (Off, PolyORB.Setup.Access_Points.RTC_RTEP_MAC);

--  System Configuration
with Configuration_File;

package body Server_Configuration is

begin

   --  Set number of threads created internally by PolyORB
   Configuration_File.Num_Threads_In_Pool := 5;

   --  Naming service (not used for now)
   Configuration_File.Naming_Service_IOR :=
      new String'("IOR:010101002b00000049444c3a6" & 
"f6d672e6f72672f436f734e616d696e672f4e616d696e67436f6e746578744578743a312e300"
                  & 
"00001000000000400005c0000000101020002000200270000004e616d65536572766963652f3"
                  & 
"030303030303032346646303030303030303038303030303030300001000000010000001c000"
                  & 
"00001000000010001000000000000010100020000000101010002010100");
end Server_Configuration;
